## glew 1.5.2

=== debian/changelog ===
glew (1.5.2-0ubuntu1~common0charlotte1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Mon, 13 Dec 2010 17:11:56 -0700

glew (1.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 17 Jan 2010 01:00:53 -0500

glew (1.5.1-7ubuntu2) lucid; urgency=low

  * Add pkg-config files (LP: #505712):
    + Makefile: Generate pkg-config files
    + debian/libglew{,mx}1.5-dev.install:
    + debian/rules: Amend for pkg-config addition
  * debian/watch: Fix regex, as upstream tarball filename has changed

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 11 Jan 2010 20:00:24 -0500

glew (1.5.1-7ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Build shared libraries with CC, not LD.
    - The debian Makefile had trailing '^M' characters; once sanitized the
      diff between the debian/ubuntu Makefile looks as follows:
      http://pastebin.ca/1447378

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 11 Jan 2010 17:44:15 -0600

glew (1.5.1-7) unstable; urgency=low

  * update source format to 3.0
  * update standards version to 3.8.3

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 21:16:11 +0100

glew (1.5.1-6) unstable; urgency=low

  * fix section of glew-utils

 -- Joost Yervante Damad <andete@debian.org>  Mon, 17 Aug 2009 08:40:44 +0200

glew (1.5.1-5) unstable; urgency=low

  * Fix build on kfreebsd (Closes: #540971)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 17 Aug 2009 07:44:45 +0200

glew (1.5.1-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build shared libraries with CC, not LD.
    - The debian Makefile had trailing '^M' characters; once sanitized
      the diff between the debian/ubuntu Makefile looks as follows:
      http://pastebin.ca/1447378

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Thu, 04 Jun 2009 12:12:40 +0200

glew (1.5.1-4) unstable; urgency=low

  * make sure mx library really is MX (closes: #528232)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 11 May 2009 17:48:06 +0200

glew (1.5.1-3) unstable; urgency=low

  * libglewmx1.5-dev needs to depend on libglewmx1.5 (closes: #527981)

 -- Joost Yervante Damad <andete@debian.org>  Sun, 10 May 2009 10:44:59 +0200

glew (1.5.1-2) unstable; urgency=low

  * also build library with GLEW_MX set (closes: #474488)
  * don't strip libs

 -- Joost Yervante Damad <andete@debian.org>  Sat, 09 May 2009 17:51:49 +0200

glew (1.5.1-1) unstable; urgency=low

  * update standards-version
  * New upstream release (closes: #527105)
  * licensing issues in docs fixed, soo remove dfsg suffix
  * build-depend on binutils > 2.18 to accommodate backports (closes: #488657)
  * remove Marcelo E. Magallon <mmagallo@debian.org> from Uploaders:
    for MIA tracking (closes: #519350)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 09 May 2009 16:45:46 +0200

glew (1.5.0dfsg1-3ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build shared libraries with CC, not LD.
    - Update maintainer field in debian/control.

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Fri, 08 Feb 2008 01:42:59 +0100

glew (1.5.0dfsg1-3) unstable; urgency=low

  * include source in upload

 -- Joost Yervante Damad <andete@debian.org>  Fri, 25 Jan 2008 20:19:03 +0100

glew (1.5.0dfsg1-2) unstable; urgency=low

  * make sure changelog is also installed

 -- Joost Yervante Damad <andete@debian.org>  Fri, 25 Jan 2008 18:05:03 +0100

glew (1.5.0dfsg1-1) unstable; urgency=low

  * Remove non-free documents (this is also reported to upstream)
    doc/*.html (thanks to Joerg Jaspert for spotting it!)

 -- Joost Yervante Damad <andete@debian.org>  Sun, 20 Jan 2008 15:40:57 +0100

glew (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Upstream also has the non-free files removed now
  * split of glew-utils, to make it possible for libglew1.4 and libglew1.5 to
    co-exist

 -- Joost Yervante Damad <andete@debian.org>  Sun, 13 Jan 2008 08:20:53 +0100

glew (1.4.0dfsg-2ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Build shared libraries with CC, not LD.
    - Depend on lib{gl,glu}1-mesa-dev instead of xlibmesa-{gl,glu}-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2007 07:02:40 +0000

glew (1.4.0dfsg-2) unstable; urgency=low

  * link with -Wl,-Bsymbolic-functions (from Ubuntu)
  * move Homepage
  * update standards-version to 3.7.3
  * dev-package-should-be-section-libdevel
  * package-contains-empty-directory usr/share/doc/libglew-dev/

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 18:49:11 +0100

glew (1.4.0dfsg-1ubuntu1) hardy; urgency=low

  * Merge with Debin; remaining changes:
    - Build shared libraries with CC, not LD.
    - Depend on lib{gl,glu}1-mesa-dev instead of xlibmesa-{gl,glu}-dev.
  * Link using -Bsymbolic-functions.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2007 17:42:58 +0000

glew (1.4.0dfsg-1) unstable; urgency=low

  * rename orig file to a dfsg suffix, in order to make clear that
    this is modified from the original

 -- Joost Yervante Damad <andete@debian.org>  Wed, 14 Nov 2007 20:10:24 +0100

glew (1.4.0-3) unstable; urgency=low

  * remove non-free files, with many thanks to
    Hans de Goede <j.w.r.degoede@hhs.nl> from the Fedora project who did all
    the hard work

 -- Joost Yervante Damad <andete@debian.org>  Wed, 07 Nov 2007 16:55:23 +0100

glew (1.4.0-2) unstable; urgency=low

  * remove -s from install in Makefile (Closes: #437044)
  * fix -dev package depends
  * don't ignore make clean exit code (lintian)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 10 Aug 2007 18:38:32 +0200

glew (1.4.0-1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Build shared libraries with CC, not LD.
    - Depend on lib{gl,glu}1-mesa-dev instead of xlibmesa-{gl,glu}-dev.



=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joost Yervante Damad <andete@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libx11-dev, docbook-to-man, libxmu-dev, libxi-dev, binutils (>> 2.18)
Standards-Version: 3.8.3
Homepage: http://glew.sourceforge.net/

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.4 (<< 1.5)
Depends: libglew1.5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: The OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported openGL extensions.

Package: libglew1.5-dev
Section: libdevel
Architecture: any
Depends: libglew1.5 (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, ${misc:Depends}
Provides: libglew-dev
Conflicts: libglew-dev
Description: The OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initiliazation of OpenGL extensions in a portable and simple
 way.  Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension.  Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry[1].
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew1.5
Section: libs
Architecture: any
Conflicts: libglew1
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: glew-utils
Description: The OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.

Package: libglewmx1.5
Section: libs
Architecture: any
Conflicts: libglew1
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files, built with GLEW_MX option.

Package: libglewmx1.5-dev
Section: libdevel
Architecture: any
Provides: libglewmx-dev
Conflicts: libglewmx-dev
Depends: libglew1.5-dev, libglewmx1.5 (= ${binary:Version}), ${misc:Depends}
Description: The OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initiliazation of OpenGL extensions in a portable and simple
 way.  Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension.  Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry[1].
 .
 This package contains the development libraries compiled with GLEW_MX

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2003 Marcelo E. Magalln <mmagallo@debian.org>
# (C) 2006-2009 Joost Yervante Damad <andete@debian.org>

export DH_VERBOSE
# export DH_NO_ACT
# export DH_OPTIONS

CFLAGS = -Wall -g

srcversion := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build:

install: build-stamp build-stampmx
build-stamp: configure-stamp debian-manpages
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut
	touch build-stamp
	dh_installdirs
	$(MAKE) install GLEW_DEST=$(CURDIR)/debian/tmp/usr
	$(MAKE) pkgconfig GLEW_DEST=$(CURDIR)/debian/tmp/usr \
		TRG_DEST=/usr PKGCFGFILE=glew.pc

build-stampmx: configure-stamp debian-manpages
	dh_testdir
	dh_testroot
	$(MAKE) clean
	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut GLEW_MX=1
	dh_installdirs
	$(MAKE) install GLEW_DEST=$(CURDIR)/debian/tmp/usr GLEW_MX=1
	$(MAKE) pkgconfig GLEW_DEST=$(CURDIR)/debian/tmp/usr \
		TRG_DEST=/usr GLEW_MX=1 PKGCFGFILE=glewmx.pc
	touch build-stampmx

clean:
	dh_testdir
	dh_testroot
	cp -f config/Makefile.linux config/Makefile.gnu
	cp -f config/Makefile.linux config/Makefile.kfreebsd
	rm -f build-stamp build-stampmx configure-stamp
	$(MAKE) distclean
	$(MAKE) distclean GLEW_MX=1
	dh_clean
	-rm $(shell cat debian/*.manpages)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps # -ldebian/tmp/usr/lib -ldebian/tmpmx/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

debian-manpages: $(shell cat debian/*.manpages)

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

.PHONY: build clean binary-indep binary-arch binary install debian-manpages

=== debian/watch ===
# glew watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# use official qa.debian.org format for the sf.net redirector
http://sf.net/glew/ glew-([\d.]*).tgz

## glew 1.5.4

=== debian/changelog ===
glew (1.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #580909)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 12 Jun 2010 08:46:41 +0200

glew (1.5.3-3) unstable; urgency=low

  * don't use uint in GLEW. (Closes: #584704)

 -- Joost Yervante Damad <andete@debian.org>  Sun, 06 Jun 2010 08:52:46 +0200

glew (1.5.3-2) unstable; urgency=low

  * add glew.pc to package (Closes: #582546)
  * introduce glewmx.pc

 -- Joost Yervante Damad <andete@debian.org>  Fri, 21 May 2010 20:17:39 +0200

glew (1.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #577183)
  * reworked mx build support to reflect new version

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Apr 2010 18:16:21 +0200

glew (1.5.1-8) unstable; urgency=low

  * improve long description of glewMX (Closes: #568482)
    (with thanks to Paul Brossier)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 05 Feb 2010 08:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: glew
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joost Yervante Damad <andete@debian.org>
+Maintainer: Joost Yervante Damad <andete@debian.org>
 Build-Depends: debhelper (>> 5.0.0), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libx11-dev, docbook-to-man, libxmu-dev, libxi-dev, binutils (>> 2.18)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://glew.sourceforge.net/
 
 Package: glew-utils
@@ -57,7 +56,8 @@
  For more information about GLEW please refer to the description of the
  libglew-dev package.
  .
- This package contains the runtime support files, built with GLEW_MX option.
+ This package contains the runtime support files, built with GLEW_MX option,
+ adding support for thread-safe usage of multiple rendering contexts.
 
 Package: libglewmx1.5-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -35,18 +35,14 @@
 	touch build-stamp
 	dh_installdirs
 	$(MAKE) install GLEW_DEST=$(CURDIR)/debian/tmp/usr
-	$(MAKE) pkgconfig GLEW_DEST=$(CURDIR)/debian/tmp/usr \
-		TRG_DEST=/usr PKGCFGFILE=glew.pc
 
 build-stampmx: configure-stamp debian-manpages
 	dh_testdir
 	dh_testroot
 	$(MAKE) clean
-	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut GLEW_MX=1
+	$(MAKE) libsonly GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut GLEW_MX=1
 	dh_installdirs
 	$(MAKE) install GLEW_DEST=$(CURDIR)/debian/tmp/usr GLEW_MX=1
-	$(MAKE) pkgconfig GLEW_DEST=$(CURDIR)/debian/tmp/usr \
-		TRG_DEST=/usr GLEW_MX=1 PKGCFGFILE=glewmx.pc
 	touch build-stampmx
 
 clean:

=== debian/watch ===
--- 
+++ 
@@ -4,5 +4,5 @@
 version=3
 
 # use official qa.debian.org format for the sf.net redirector
-http://sf.net/glew/ glew-([\d.]*).tgz
+http://sf.net/glew/ glew-([\d.]*)-src.tgz

## glew 1.5.7.is.1.5.2

=== debian/changelog ===
glew (1.5.7.is.1.5.2-1ubuntu2) natty; urgency=low

  * glew.pc should Requires glu as it includes glu.h (LP: #711945)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 03 Feb 2011 16:55:40 +0100

glew (1.5.7.is.1.5.2-1ubuntu1) natty; urgency=low

  * Revert back to 1.5.2.  The 1.5.7 version led to some sudden nux/compiz
    breakages that will need further investigation post-alpha-2.
    (LP: #711401, #711396)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 01 Feb 2011 13:29:19 -0800

## glew 1.5.8-3-maemo2

=== debian/changelog ===
glew (1.5.8-3-maemo2) unstable; urgency=low

  * adjust control

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 10 Apr 2012 11:01:36 -0400

glew (1.5.8-3-maemo1) unstable; urgency=low

  * adjust for maemo

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 10 Apr 2012 10:58:29 -0400

glew (1.5.8-3-m1) unstable; urgency=low

  * Adjust for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 13 Apr 2011 14:55:00 +0300

glew (1.5.8-3) unstable; urgency=low

  * remove Multi-Arch again (Thanks Steve) (Closes: #616663)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 15 Mar 2011 08:22:21 +0100

glew (1.5.8-2) unstable; urgency=low

  * fix watch file (Closes: #611137), thanks Artur Rona
  * add Multi-Arch: foreign to libglew and libglewmx

 -- Joost Yervante Damad <andete@debian.org>  Sun, 13 Mar 2011 11:24:04 +0100

glew (1.5.8-1) unstable; urgency=low

  * New upstream release

 -- Joost Yervante Damad <andete@debian.org>  Wed, 09 Feb 2011 07:52:32 +0100

glew (1.5.7-1) experimental; urgency=low

  * New upstream release
  * back to source format 1.0

 -- Joost Yervante Damad <andete@debian.org>  Tue, 11 Jan 2011 11:20:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: optional
 Section: libs
 Maintainer: Joost Yervante Damad <andete@debian.org>
-Build-Depends: debhelper (>> 5.0.0), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libx11-dev, docbook-to-man, libxmu-dev, libxi-dev, binutils (>> 2.18)
-Standards-Version: 3.8.4
+Build-Depends: debhelper,  libx11-dev, docbook-to-man, libxmu-dev, libxi-dev, 
+ libgl1-mesa-dev,libglu1-mesa-dev
+Standards-Version: 3.9.1
 Homepage: http://glew.sourceforge.net/
 
 Package: glew-utils

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 build-stamp: configure-stamp debian-manpages
 	dh_testdir
 	dh_testroot
-	dh_clean -k
 	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut
 	touch build-stamp
 	dh_installdirs

## glew 1.5.8-3-maemo3

=== debian/changelog ===
glew (1.5.8-3-maemo3) unstable; urgency=low

  * adjust control file, optify package

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed, 11 Apr 2012 08:48:36 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Joost Yervante Damad <andete@debian.org>
 Build-Depends: debhelper,  libx11-dev, docbook-to-man, libxmu-dev, libxi-dev, 
- libgl1-mesa-dev,libglu1-mesa-dev
+ libglu1-mesa-dev, libgl1-mesa-swx11-dev
 Standards-Version: 3.9.1
 Homepage: http://glew.sourceforge.net/
 
@@ -40,7 +40,8 @@
 Section: libs
 Architecture: any
 Conflicts: libglew1
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6 (>= 2.5.0-1), libgl1-mesa-glx | libgl1,  libx11-6 (>= 1.1.99.5+0m5), 
+ libxext6 (>= 1.0.99.1-0maemo20081209.0), libxi6 (>= 1.2.99.1-1), libxmu6 (>= 1.0.4-1)
 Suggests: glew-utils
 Description: The OpenGL Extension Wrangler - runtime environment
  For more information about GLEW please refer to the description of the

## glew 1.5.8-3-maemo4

=== Makefile ===
#!gmake
## The OpenGL Extension Wrangler Library
## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
## Copyright (C) 2002, Lev Povalahev
## All rights reserved.
## 
## Redistribution and use in source and binary forms, with or without 
## modification, are permitted provided that the following conditions are met:
## 
## * Redistributions of source code must retain the above copyright notice, 
##   this list of conditions and the following disclaimer.
## * Redistributions in binary form must reproduce the above copyright notice, 
##   this list of conditions and the following disclaimer in the documentation 
##   and/or other materials provided with the distribution.
## * The name of the author may be used to endorse or promote products 
##   derived from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
## THE POSSIBILITY OF SUCH DAMAGE.

include config/version

SHELL = /bin/sh
SYSTEM ?= $(shell config/config.guess | cut -d - -f 3 | sed -e 's/[0-9\.]//g;')
SYSTEM.SUPPORTED = $(shell test -f config/Makefile.$(SYSTEM) && echo 1)

ifeq ($(SYSTEM.SUPPORTED), 1)
include config/Makefile.$(SYSTEM)
else
$(error "Platform '$(SYSTEM)' not supported")
endif

GLEW_DEST ?= /usr
BINDIR ?= $(GLEW_DEST)/bin
LIBDIR ?= $(GLEW_DEST)/lib
INCDIR ?= $(GLEW_DEST)/include/GL
SHARED_OBJ_EXT ?= o
TARDIR = ../glew-$(GLEW_VERSION)
TARBALL = ../glew-$(GLEW_VERSION).tar.gz

DIST_DIR     = glew-$(GLEW_VERSION)
DIST_WIN32   = glew-$(GLEW_VERSION)-win32.zip
DIST_SRC_ZIP = glew-$(GLEW_VERSION).zip
DIST_SRC_TGZ = glew-$(GLEW_VERSION).tgz

AR = ar
INSTALL = install
RM = rm -f
LN = ln -sf
ifeq ($(MAKECMDGOALS), debug)
OPT = -g
else
OPT = $(POPT)
endif
INCLUDE = -Iinclude
CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)

LIB.SRCS = src/glew.c
LIB.OBJS = $(LIB.SRCS:.c=.o)
LIB.SOBJS = $(LIB.SRCS:.c=.$(SHARED_OBJ_EXT))
LIB.LDFLAGS = $(LDFLAGS.EXTRA) $(LDFLAGS.GL)
LIB.LIBS = $(GL_LDFLAGS)

GLEWINFO.BIN = glewinfo$(BIN.SUFFIX)
GLEWINFO.BIN.SRCS = src/glewinfo.c
GLEWINFO.BIN.OBJS = $(GLEWINFO.BIN.SRCS:.c=.o)
VISUALINFO.BIN = visualinfo$(BIN.SUFFIX)
VISUALINFO.BIN.SRCS = src/visualinfo.c
VISUALINFO.BIN.OBJS = $(VISUALINFO.BIN.SRCS:.c=.o)
BIN.LIBS = -Llib $(LDFLAGS.DYNAMIC) -l$(NAME) $(LDFLAGS.EXTRA) $(LDFLAGS.GL)

all debug: lib bin lib/$(LIB.SHARED) lib/$(LIB.STATIC) bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) glew.pc glewmx.pc

libsonly: lib lib/$(LIB.SHARED) lib/$(LIB.STATIC) glew.pc glewmx.pc

lib:
	mkdir lib

bin:
	mkdir bin

lib/$(LIB.STATIC): $(LIB.OBJS)
	$(AR) cr $@ $^

lib/$(LIB.SHARED): $(LIB.SOBJS)
	$(LD) $(LDFLAGS.SO) -o $@ $^ $(LIB.LDFLAGS) $(LIB.LIBS)
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
else
	$(LN) $(LIB.SHARED) lib/$(LIB.SONAME)
	$(LN) $(LIB.SHARED) lib/$(LIB.DEVLNK)
endif

bin/$(GLEWINFO.BIN): $(GLEWINFO.BIN.OBJS) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(GLEWINFO.BIN.OBJS) $(BIN.LIBS)

bin/$(VISUALINFO.BIN): $(VISUALINFO.BIN.OBJS) lib/$(LIB.SHARED)
	$(CC) $(CFLAGS) -o $@ $(VISUALINFO.BIN.OBJS) $(BIN.LIBS)

%.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<

src/glew.o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	$(CC) $(CFLAGS) $(CFLAGS.SO) -o $@ -c $<

src/glew.pic_o: src/glew.c include/GL/glew.h include/GL/wglew.h include/GL/glxew.h
	$(CC) $(CFLAGS) $(PICFLAG) $(CFLAGS.SO) -o $@ -c $<

glew.pc: glew.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_DEST)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		< $< > $@

glewmx.pc: glewmx.pc.in
	sed \
		-e "s|@prefix@|$(GLEW_DEST)|g" \
		-e "s|@libdir@|$(LIBDIR)|g" \
		-e "s|@exec_prefix@|$(BINDIR)|g" \
		-e "s|@includedir@|$(INCDIR)|g" \
		-e "s|@version@|$(GLEW_VERSION)|g" \
		< $< > $@

install: libsonly
# directories
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -d -m 0755 $(INCDIR)
	$(INSTALL) -d -m 0755 $(LIBDIR)
	$(INSTALL) -d -m 0755 $(LIBDIR)/pkgconfig
# runtime
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) $(BINDIR)/
else
	$(INSTALL) -m 0644 lib/$(LIB.SHARED) $(LIBDIR)/
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.SONAME)
endif
# development files
	$(INSTALL) -m 0644 include/GL/wglew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glew.h $(INCDIR)/
	$(INSTALL) -m 0644 include/GL/glxew.h $(INCDIR)/
	$(INSTALL) -m 0644 glew.pc $(LIBDIR)/pkgconfig/
	$(INSTALL) -m 0644 glewmx.pc $(LIBDIR)/pkgconfig/
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(INSTALL) -m 0644 lib/$(LIB.DEVLNK) $(LIBDIR)/
else
	$(INSTALL) -m 0644 lib/$(LIB.STATIC) $(LIBDIR)/
	$(LN) $(LIB.SHARED) $(LIBDIR)/$(LIB.DEVLNK)
endif
# utilities
ifneq ($(GLEW_MX), 1)
	$(INSTALL) -m 0755 bin/$(GLEWINFO.BIN) bin/$(VISUALINFO.BIN) $(BINDIR)/
endif

uninstall:
	$(RM) $(INCDIR)/wglew.h
	$(RM) $(INCDIR)/glew.h
	$(RM) $(INCDIR)/glxew.h
	$(RM) $(LIBDIR)/$(LIB.DEVLNK)
ifeq ($(filter-out mingw% cygwin,$(SYSTEM)),)
	$(RM) $(BINDIR)/$(LIB.SHARED)
else
	$(RM) $(LIBDIR)/$(LIB.SONAME)
	$(RM) $(LIBDIR)/$(LIB.SHARED)
	$(RM) $(LIBDIR)/$(LIB.STATIC)
endif
	$(RM) $(BINDIR)/$(GLEWINFO.BIN) $(BINDIR)/$(VISUALINFO.BIN)

clean:
	$(RM) $(LIB.OBJS)
	$(RM) $(LIB.SOBJS)
	$(RM) lib/$(LIB.STATIC) lib/$(LIB.SHARED) lib/$(LIB.DEVLNK) lib/$(LIB.SONAME) $(LIB.STATIC)
	$(RM) $(GLEWINFO.BIN.OBJS) bin/$(GLEWINFO.BIN) $(VISUALINFO.BIN.OBJS) bin/$(VISUALINFO.BIN)
	$(RM) glew.pc
# Compiler droppings
	$(RM) so_locations
	$(RM) -r lib/ bin/

distclean: clean
	find . -name \*~ | xargs $(RM)
	find . -name .\*.sw\? | xargs $(RM)

tardist:
	$(RM) -r $(TARDIR)
	mkdir $(TARDIR)
	cp -a . $(TARDIR)
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	find $(TARDIR) -name "*.patch" | xargs $(RM) -r
	$(MAKE) -C $(TARDIR) distclean
	$(MAKE) -C $(TARDIR)
	$(MAKE) -C $(TARDIR) distclean
	$(RM) -r $(TARDIR)/auto/registry
	env GZIP=-9 tar -C `dirname $(TARDIR)` -cvzf $(TARBALL) `basename $(TARDIR)`

dist-win32:
	$(RM) -r $(TARDIR)
	mkdir -p $(TARDIR)
	mkdir -p $(TARDIR)/bin
	mkdir -p $(TARDIR)/lib
	cp -a include $(TARDIR)
	cp -a doc $(TARDIR)
	cp -a *.txt $(TARDIR)
	cp -a lib/glew32.lib     $(TARDIR)/lib
	cp -a lib/glew32s.lib    $(TARDIR)/lib
	cp -a bin/glew32.dll     $(TARDIR)/bin
	cp -a bin/glewinfo.exe   $(TARDIR)/bin
	cp -a bin/visualinfo.exe $(TARDIR)/bin
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	find $(TARDIR) -name "*.patch" | xargs $(RM) -r
	unix2dos $(TARDIR)/include/GL/*.h
	unix2dos $(TARDIR)/doc/*.txt
	unix2dos $(TARDIR)/doc/*.html
	unix2dos $(TARDIR)/*.txt
	rm -f ../$(DIST_WIN32)
	cd .. && zip -rv9 $(DIST_WIN32) $(DIST_DIR)

dist-src:
	$(RM) -r $(TARDIR)
	mkdir -p $(TARDIR)
	mkdir -p $(TARDIR)/bin
	mkdir -p $(TARDIR)/lib
	cp -a auto $(TARDIR)
	$(RM) -Rf $(TARDIR)/auto/registry
	cp -a build $(TARDIR)
	cp -a config $(TARDIR)
	cp -a src $(TARDIR)
	cp -a doc $(TARDIR)
	cp -a include $(TARDIR)
	cp -a *.txt $(TARDIR)
	cp -a Makefile $(TARDIR)
	cp -a glew.pc.in $(TARDIR)
	find $(TARDIR) -name '*.o' | xargs $(RM) -r
	find $(TARDIR) -name '*.pic_o' | xargs $(RM) -r
	find $(TARDIR) -name '*~' | xargs $(RM) -r
	find $(TARDIR) -name CVS -o -name .cvsignore | xargs $(RM) -r
	find $(TARDIR) -name .svn | xargs $(RM) -r
	find $(TARDIR) -name "*.patch" | xargs $(RM) -r
	unix2dos $(TARDIR)/config/*
	unix2dos $(TARDIR)/auto/core/*
	unix2dos $(TARDIR)/auto/extensions/*
	find $(TARDIR) -name '*.h' | xargs unix2dos
	find $(TARDIR) -name '*.c' | xargs unix2dos
	find $(TARDIR) -name '*.txt' | xargs unix2dos
	find $(TARDIR) -name '*.html' | xargs unix2dos
	find $(TARDIR) -name '*.css' | xargs unix2dos
	find $(TARDIR) -name '*.sh' | xargs unix2dos
	find $(TARDIR) -name '*.pl' | xargs unix2dos
	find $(TARDIR) -name 'Makefile' | xargs unix2dos
	find $(TARDIR) -name '*.in' | xargs unix2dos
	find $(TARDIR) -name '*.pm' | xargs unix2dos
	find $(TARDIR) -name '*.rc' | xargs unix2dos
	rm -f ../$(DIST_SRC_ZIP)
	cd .. && zip -rv9 $(DIST_SRC_ZIP) $(DIST_DIR)
	dos2unix $(TARDIR)/config/*
	dos2unix $(TARDIR)/auto/core/*
	dos2unix $(TARDIR)/auto/extensions/*
	find $(TARDIR) -name '*.h' | xargs dos2unix
	find $(TARDIR) -name '*.c' | xargs dos2unix
	find $(TARDIR) -name '*.txt' | xargs dos2unix
	find $(TARDIR) -name '*.html' | xargs dos2unix
	find $(TARDIR) -name '*.css' | xargs dos2unix
	find $(TARDIR) -name '*.sh' | xargs dos2unix
	find $(TARDIR) -name '*.pl' | xargs dos2unix
	find $(TARDIR) -name 'Makefile' | xargs dos2unix
	find $(TARDIR) -name '*.in' | xargs dos2unix
	find $(TARDIR) -name '*.pm' | xargs dos2unix
	find $(TARDIR) -name '*.rc' | xargs dos2unix
	cd .. && env GZIP=-9 tar cvzf $(DIST_SRC_TGZ) $(DIST_DIR)

extensions:
	$(MAKE) -C auto

.PHONY: clean distclean tardist dist-win32 dist-src

=== debian/changelog ===
glew (1.5.8-3-maemo4) unstable; urgency=low

  * adjust build dependency

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 09:33:59 -0400

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,9 @@
 Section: libs
 Architecture: any
 Conflicts: libglew1
-Depends: libc6 (>= 2.5.0-1), libgl1-mesa-glx | libgl1,  libx11-6 (>= 1.1.99.5+0m5), 
- libxext6 (>= 1.0.99.1-0maemo20081209.0), libxi6 (>= 1.2.99.1-1), libxmu6 (>= 1.0.4-1)
+Depends: libc6 (>= 2.5.0-1), libgl1-mesa-glx | libgl1 | libgl1-mesa-swx11,  
+ libx11-6 (>= 1.1.99.5+0m5),  libxext6 (>= 1.0.99.1-0maemo20081209.0), 
+ libxi6 (>= 1.2.99.1-1), libxmu6 (>= 1.0.4-1),  libglu1-mesa | libgl1
 Suggests: glew-utils
 Description: The OpenGL Extension Wrangler - runtime environment
  For more information about GLEW please refer to the description of the

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	dh_installdeb
 	dh_shlibdeps # -ldebian/tmp/usr/lib -ldebian/tmpmx/usr/lib
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## glew 1.7.0

=== debian/changelog ===
glew (1.7.0-3) unstable; urgency=low

  [ Alessio Treglia ]
  * Add libglew1.5-dev on Provides.

  [ Matteo F. Vescovi ]
  * debian/control: add libglewmx1.5-dev on Provides.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 13 Feb 2012 11:54:16 +0100

glew (1.7.0-2) unstable; urgency=low

  * Upload to unstable

  [ Matteo F. Vescovi ]
  * debian/glew-utils.docs: removing LICENSE.txt
  * debian/glew-utils.docs: adding upstream docs
  * debian/libglewmx-dev.install: removing static lib
  * debian/libglew-dev.install: removing static lib
  * libglew*-dev.install files renamed removing SONAME
  * debian/compat: bump to "9" for multi-arch support
  * debian/control: "Multi-Arch:" added to -dev packages
  * debian/control: SONAME removed from -dev packages
  * debian/control: typos corrected
  * debian/control: maintainer's email address changed

  [ Alessio Treglia ]
  * debian/copyright: Fix uncorrect license name, actually
    it is BSD-3-clause.
  * debian/rules: Use dh_autotools-dev_{restore,update}config
    mechanism to automagically refresh config/config.guess.
  * debian/control: Add autotools-dev to Build-Depends.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 10 Feb 2012 10:15:33 +0100

glew (1.7.0-1) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * Added Vcs- header fields
  * Minor tune ups of the long descriptions

  [ Fabrizio Regalli ]
  * Imported Upstream version 1.7.0
  * Switch to 3.0 quilt format
  * Update d/compat to 8
  * Really update d/compat
  * Added d/source/options files
  * Renamed all 1.6 install files to 1.7
  * Adjustin d/control with new 1.7 version number
  * Added build-{indep,arch} to d/rules
  * Added libglew*.symbols to debian directory
  * Update d/shlibs.local with new 1.7 version

  [ Matteo F. Vescovi ]
  * New maintainer (Closes: #634069)
  * debian/control: VCS-Links updated
  * debian/control: duplicated Section fields removed.
     - Drop of "Section: libs" fields duplicated for
       libglew1.6 and libglewmx1.6
     - Short-Description field for libglewmx1.6 modified
  * debian/control: libglewmx1.6-dev Short-Description fixed

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Tue, 29 Nov 2011 10:56:40 +0100

glew (1.6.0-3) unstable; urgency=low

  * incorporate multi-arch changes, thanks to Gregory Hainaut
    and Steve Langasek (Closes: #631548)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 12:46:42 +0200

glew (1.6.0-2) unstable; urgency=low

  * temporary let libglew1.6-dev provide libglew1.5-dev (Closes: #630536)
  * temporary let libglewmx1.6-dev provide libglewmx1.5-dev

 -- Joost Yervante Damad <andete@debian.org>  Wed, 15 Jun 2011 09:21:24 +0200

glew (1.6.0-1) unstable; urgency=low

  * New upstream release
  * new sonames for 1.6
  * refer libglew1.6-dev in descr (Closes: #628623)
  * fix spelling error (Closes: #628624)
  * fix lintian warning description-synopsis-starts-with-article

 -- Joost Yervante Damad <andete@debian.org>  Fri, 10 Jun 2011 15:25:37 +0200

=== debian/control ===
Source: glew
Priority: optional
Section: libs
Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
Uploaders: Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: autotools-dev (>= 20100122.1~),
               binutils (>> 2.18),
               debhelper (>= 8.1.3~),
               docbook-to-man,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libx11-dev,
               libxi-dev,
               libxmu-dev
Standards-Version: 3.9.2
Homepage: http://glew.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/glew.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glew.git

Package: glew-utils
Section: utils
Architecture: any
Replaces: libglew1.6 (<< 1.7)
Depends: libglew1.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler - utilities
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the utilities which can be used to query the
 supported OpenGL extensions.

Package: libglew-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl1-mesa-dev | libgl-dev,
         libglew1.7 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         ${misc:Depends}
Conflicts: libglew1.6-dev
Provides:
 libglew1.5-dev,
 libglew1.6-dev
Description: OpenGL Extension Wrangler - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way.  Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension.  Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development documentation as well as the
 required header files.

Package: libglew1.7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libglew1
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: glew-utils
Description: OpenGL Extension Wrangler - runtime environment
 For more information about GLEW please refer to the description of the
 libglew-dev package.
 .
 This package contains the runtime support files.

Package: libglewmx1.7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libglew1
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OpenGL Extension Wrangler (Multiple Rendering Contexts)
 For more information about GLEW please refer to the description of the
 libglewmx-dev package.
 .
 This package contains the runtime support files, built with GLEW_MX option,
 adding support for thread-safe usage of multiple rendering contexts.

Package: libglewmx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libglewmx1.6-dev
Provides:
 libglewmx1.5-dev,
 libglewmx1.6-dev
Depends: libglew-dev,
         libglewmx1.7 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenGL Extension Wrangler MX - development environment
 The OpenGL Extension Wrangler, GLEW for short, is a library that
 handles initialization of OpenGL extensions in a portable and simple
 way.  Once the program initializes the library and checks the
 availability of extensions, it can safely call the entry points defined
 by the extension.  Currently GLEW supports almost all the extensions
 found in the OpenGL extension registry (http://www.opengl.org/registry).
 .
 This package contains the development libraries compiled with GLEW_MX.

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2003 Marcelo E. Magalln <mmagallo@debian.org>
# (C) 2006-2011 Joost Yervante Damad <andete@debian.org>

export DH_VERBOSE
# export DH_NO_ACT
# export DH_OPTIONS

CFLAGS = -Wall -g

srcversion := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build:

install: build-stamp
build-stamp: configure-stamp debian-manpages
	dh_testdir
	dh_testroot
	dh_prep
	dh_autotools-dev_updateconfig
	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	touch build-stamp
	dh_installdirs
	$(MAKE) install.all GLEW_DEST=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

clean:
	dh_testdir
	dh_testroot
	cp -f config/Makefile.linux config/Makefile.gnu
	cp -f config/Makefile.linux config/Makefile.kfreebsd
	rm -f build-stamp build-stampmx configure-stamp
	$(MAKE) distclean
	dh_autotools-dev_restoreconfig
	dh_clean
	-rm $(shell cat debian/*.manpages)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

build-arch: build
build-indep: build

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps # -ldebian/tmp/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

debian-manpages: $(shell cat debian/*.manpages)

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

.PHONY: build clean binary-indep binary-arch binary install debian-manpages

## glew 1.8.0

=== debian/changelog ===
glew (1.8.0-1ubuntu2) quantal; urgency=low

  * git_glxew_export_fix.patch: update generated files as well.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Aug 2012 21:03:49 +0200

glew (1.8.0-1ubuntu1) quantal; urgency=low

  * git_glxew_export_fix.patch: upstream git patch to fix build issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Aug 2012 18:45:50 +0200

glew (1.8.0-1) experimental; urgency=low

  * New upstream release
    + debian/: SONAME bump 1.7 => 1.8
    + debian/: symbols files updated
  * debian/copyright: debian files copyright updated
  * debian/control: debhelper bump 8 => 9
  * debian/control: Standards-Version bumped to 3.9.3
  * debian/shlibs.local: shlibs version bump
  * debian/rules: Makefile copying and manpages removal commented
  * debian/glew-utils.manpages: file removed
  * glewmx.pc.in: non-upstream file removed.
    This file was wrongly added to upstream source tree
    directly, instead of providing a patch doing so.
    So, fixing this issue now.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 27 Jul 2012 16:20:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: glew
 Priority: optional
 Section: libs
-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matteo F. Vescovi <mfv.debian@gmail.com>
 Uploaders: Fabrizio Regalli <fabreg@fabreg.it>
 Build-Depends: autotools-dev (>= 20100122.1~),
                binutils (>> 2.18),
-               debhelper (>= 8.1.3~),
+               debhelper (>= 9),
                docbook-to-man,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libx11-dev,
                libxi-dev,
                libxmu-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://glew.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/glew.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glew.git
@@ -21,7 +22,7 @@
 Section: utils
 Architecture: any
 Replaces: libglew1.6 (<< 1.7)
-Depends: libglew1.7 (= ${binary:Version}),
+Depends: libglew1.8 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenGL Extension Wrangler - utilities
@@ -36,10 +37,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgl1-mesa-dev | libgl-dev,
-         libglew1.7 (= ${binary:Version}),
+         libglew1.8 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          ${misc:Depends}
-Conflicts: libglew1.6-dev
+Conflicts:
+ libglew1.6-dev
 Provides:
  libglew1.5-dev,
  libglew1.6-dev
@@ -54,7 +56,7 @@
  This package contains the development documentation as well as the
  required header files.
 
-Package: libglew1.7
+Package: libglew1.8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -68,7 +70,7 @@
  .
  This package contains the runtime support files.
 
-Package: libglewmx1.7
+Package: libglewmx1.8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,12 +88,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Conflicts: libglewmx1.6-dev
+Conflicts:
+ libglewmx1.6-dev
 Provides:
  libglewmx1.5-dev,
  libglewmx1.6-dev
 Depends: libglew-dev,
-         libglewmx1.7 (= ${binary:Version}),
+         libglewmx1.8 (= ${binary:Version}),
          ${misc:Depends}
 Description: OpenGL Extension Wrangler MX - development environment
  The OpenGL Extension Wrangler, GLEW for short, is a library that

## glew 1.9.0

=== debian/changelog ===
glew (1.9.0-3~bnd1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Applied additional patch from debian/patches/squeeze-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 12 Dec 2012 15:48:57 -0500

glew (1.9.0-3~bnd1) neurodebian; urgency=low

  * Generate debian/compat and have minimal debhelper compatible version 
    in build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Dec 2012 14:48:46 -0500

glew (1.9.0-3~bnd0) neurodebian; urgency=low

  * Custom build of 1.9 for wheezy and alike:
    - reintroduce SOVERSION into -dev packages, so we could
      provide/install GLEW 1.9 for older Debian/Ubuntu releases without
      conflicting with system-wide provided libglew-dev at build-time
  	  (SOVERSION-dev packages itself of cause conflict with -dev packages)
    - added debhelper8-dsc-patch for older releases to build without
      multi-arch support

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Dec 2012 12:39:08 -0500

glew (1.9.0-3) experimental; urgency=low

  * debian/: debug packages added (Closes: #686522)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 03 Sep 2012 09:31:45 +0200

glew (1.9.0-2) experimental; urgency=low

  * debian/: fix FTBFS on kFreeBSD
  * debian/rules: maintainer copyright added and cosmetic change
  * debian/source/options: outdated Makefile exceptions removed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 18 Aug 2012 11:41:48 +0200

glew (1.9.0-1) experimental; urgency=low

  * New upstream release
    - debian/control: 1.8 => 1.9 version bump
    - debian/shlibs.local: shlibs version bump
    - debian/*.install: version bump in filenames
    - debian/*.symbols: version updated and
      new symbols added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 07 Aug 2012 15:32:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 # (C) 2003 Marcelo E. Magalln <mmagallo@debian.org>
 # (C) 2006-2011 Joost Yervante Damad <andete@debian.org>
+# (C) 2012 Matteo F. Vescovi <mfv.debian@gmail.com>
 
 export DH_VERBOSE
+
+DH_MAJOR=$(shell dpkg -s debhelper | awk '/^Version:/{split($$2, a, "."); print a[1];}')
+
 # export DH_NO_ACT
 # export DH_OPTIONS
 
@@ -23,13 +27,14 @@
 
 configure: configure-stamp
 configure-stamp:
+	echo $(DH_MAJOR) >| debian/compat
 	dh_testdir
 	touch configure-stamp
 
 build:
 
 install: build-stamp
-build-stamp: configure-stamp debian-manpages
+build-stamp: configure-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -42,13 +47,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	cp -f config/Makefile.linux config/Makefile.gnu
-	cp -f config/Makefile.linux config/Makefile.kfreebsd
 	rm -f build-stamp build-stampmx configure-stamp
 	$(MAKE) distclean
 	dh_autotools-dev_restoreconfig
 	dh_clean
-	-rm $(shell cat debian/*.manpages)
+	rm -f debian/compat
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -66,7 +69,8 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip -plibglew1.9 --dbg-package=libglew1.9-dbg
+	dh_strip -plibglewmx1.9 --dbg-package=libglewmx1.9-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V
@@ -78,8 +82,6 @@
 
 binary: binary-indep binary-arch
 
-debian-manpages: $(shell cat debian/*.manpages)
-
 debian/%.1: debian/%.sgml
 	docbook-to-man $< > $@

## glew 1.9.0.is.1.8.0

=== debian/changelog ===
glew (1.9.0.is.1.8.0-0ubuntu2) saucy; urgency=low

  * Don't use dh_autotools-dev to update the config.{guess,sub} files.
    These are already needed in the clean target for the upstream
    build system.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 16:10:56 +0200

glew (1.9.0.is.1.8.0-0ubuntu1) raring; urgency=low

  * Re-upload 1.8.0, the new version breaks builds, including unity. It will
    be reuploaded later once the rdepends are made to build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Nov 2012 12:29:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,8 @@
 #!/usr/bin/make -f
 # (C) 2003 Marcelo E. Magalln <mmagallo@debian.org>
 # (C) 2006-2011 Joost Yervante Damad <andete@debian.org>
-# (C) 2012 Matteo F. Vescovi <mfv.debian@gmail.com>
 
 export DH_VERBOSE
-
-DH_MAJOR=$(shell dpkg -s debhelper | awk '/^Version:/{split($$2, a, "."); print a[1];}')
-
 # export DH_NO_ACT
 # export DH_OPTIONS
 
@@ -27,7 +23,6 @@
 
 configure: configure-stamp
 configure-stamp:
-	echo $(DH_MAJOR) >| debian/compat
 	dh_testdir
 	touch configure-stamp
 
@@ -38,7 +33,7 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_autotools-dev_updateconfig
+	#dh_autotools-dev_updateconfig
 	$(MAKE) GL_LDFLAGS=-lGL GLU_LDFLAGS=-lGLU GLUT_LDFLAGS=-lglut LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 	touch build-stamp
 	dh_installdirs
@@ -47,11 +42,13 @@
 clean:
 	dh_testdir
 	dh_testroot
+#	cp -f config/Makefile.linux config/Makefile.gnu
+#	cp -f config/Makefile.linux config/Makefile.kfreebsd
 	rm -f build-stamp build-stampmx configure-stamp
 	$(MAKE) distclean
-	dh_autotools-dev_restoreconfig
+	#dh_autotools-dev_restoreconfig
 	dh_clean
-	rm -f debian/compat
+#	-rm $(shell cat debian/*.manpages)
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -69,8 +66,7 @@
 	dh_install --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip -plibglew1.9 --dbg-package=libglew1.9-dbg
-	dh_strip -plibglewmx1.9 --dbg-package=libglewmx1.9-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V
